package com.patzn.lims.frame.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.patzn.lims.core.web.IBaseService;
import com.patzn.lims.frame.entity.LmsFrameCustomerInvestigateDetail;

import java.util.List;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author patzn123
 * @since 2018-01-09
 */
public interface ILmsFrameCustomerInvestigateDetailService extends IBaseService<LmsFrameCustomerInvestigateDetail> {


    Page<LmsFrameCustomerInvestigateDetail> page(Page<LmsFrameCustomerInvestigateDetail> page, LmsFrameCustomerInvestigateDetail lmsFrameCustomerInvestigateDetail);


    List<LmsFrameCustomerInvestigateDetail> list(LmsFrameCustomerInvestigateDetail lmsFrameCustomerInvestigateDetail);


    List<LmsFrameCustomerInvestigateDetail> listByInvestigateId(Long id);


    boolean edit(LmsFrameCustomerInvestigateDetail lmsFrameCustomerInvestigateDetail);

    boolean submit(List<Long> longs);

    boolean existByIds(Long[] ids);
}
